%define upstream_name    PerlIO-via-QuotedPrint
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PerlIO layer for quoted-printable strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements a PerlIO layer that works on files encoded in the
quoted-printable format. It will decode from quoted-printable while reading
from a handle, and it will encode as quoted-printable while writing to a
handle.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.100.0-2.mga10
+ Revision: 2214643
- Mageia 10 Mass Rebuild

* Thu May 26 2022 tv <tv> 0.100.0-1.mga9
+ Revision: 1860247
- update to 0.10

* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1813704
- Mageia 9 Mass Rebuild

* Wed Dec 09 2020 tv <tv> 0.90.0-1.mga8
+ Revision: 1654816
- update to 0.09

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1496521
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-4.mga7
+ Revision: 1270508
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1031981
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 967870
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 850427
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-9.mga5
+ Revision: 746486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-8.mga5
+ Revision: 685963
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-7.mga4
+ Revision: 522769
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.70.0-6.mga3
+ Revision: 405519
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-5.mga3
+ Revision: 371792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.70.0-4.mga3
+ Revision: 315542
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.70.0-3.mga3
+ Revision: 294856
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.70.0-2.mga3
+ Revision: 284599
- perl 5.16.1 rebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 258839
- imported package perl-PerlIO-via-QuotedPrint


* Sat Jun 09 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
